Energia

Stream

## find()

#### Description

find() reads data from the stream until the target string of given length is found The function returns true if target string is found, false if timed out.

This function is part of the Stream class, and is called by any class that inherits from it (Wire, Serial, etc). See the Stream class main page for more information.

#### Syntax

stream.find(target)
target : the string to search for (char)

#### Parameters

stream : an instance of a class that inherits from Stream.

#### Returns

boolean

#### See also

- Stream()

Reference Home

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes